Last Comment Bug 704991 - Can't dismiss Element Inspector in Full Screen
: Can't dismiss Element Inspector in Full Screen
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: 10 Branch
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 14:34 PST by Hubert Figuiere [:hub]
Modified: 2012-11-11 17:25 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
see screenshot in fullscreen. (416.67 KB, image/png)
2011-11-23 14:34 PST, Hubert Figuiere [:hub]
no flags Details

Description Hubert Figuiere [:hub] 2011-11-23 14:34:16 PST
Created attachment 576627 [details]
see screenshot in fullscreen.

Start Firefox on Linux (I use my own build of aurora-src, timestamped Nov. 22)

Go to any webpage. 
Press F11 to go full screen.
Right click to enable the element inspector.

There is no other way to leave the inspector than exiting Full Screen where the inspector bar reappear at the bottom.
Comment 1 Paul Rouget [:paul] 2011-11-24 00:57:19 PST
In the latest nightly, pressing Escape close the inspector. Should be good enough.

Also, should we show the inspector toolbar in fullscreen mode? (I think there's a bug about that).
Comment 2 Hubert Figuiere [:hub] 2011-11-24 10:51:59 PST
Indeed, now pressing ESC works. (I just rebuilt)

I do believe we should show the inspector toolbar in fullscreen mode, eventually dealing with show/hide the same way as the tab/URL bar.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-11-24 14:05:26 PST
(In reply to Hub Figuiere [:hub] from comment #2)
> Indeed, now pressing ESC works. (I just rebuilt)
> 
> I do believe we should show the inspector toolbar in fullscreen mode,
> eventually dealing with show/hide the same way as the tab/URL bar.

mm, yeah, we should probably do that when the user enters the lower area of the screen.

filed bug 705197 for that.

Closing this as it appears to be resolved by bug 657303. Thanks!
Comment 4 linux.user.since.2002 2012-11-11 17:25:23 PST
This isn't exactly discoverable or intuitive.  Frustrations with having to toggle fullscreen simply to close the inspector pane drove me to file a bug only to find this ... resolution.

This will be properly resolved with bug 705197.

Note You need to log in before you can comment on or make changes to this bug.